ApplenBerry Releases Gevey Ultra to Unlock 04.11.08 & 04.12.01 Basebands

by Mahesh Kukreja · 0 comments

in Apple


Update:

Gevey Ultra for 04.11.08/04.12.01 was based on SAM Unlock. But unfortunately Apple has patched their activation servers. So this will no longer work.

Finally the wait is over. There is a good news for iPhone 4 users who have been waiting to unlock 04.11.08 & 04.12.01 baseband. ApplenBerry has mentioned on their Facebook page that they have successfully exploited 04.11.08 & 04.12.01 basebands. A new Gevey Ultra sim will be released soon for unlocking iPhone 4 on these basebands.

Gevey Ultra for 04.11.08 & 04.12.01

Apple released iOS 5 last year in October. iPhone 4 users have since been waiting to unlock the updated baseband versions. The iPhone Dev Team has not been very lucky to find a software exploit in the newer basebands. Luckily, ApplenBerry has found some working exploit in the latest basebands. Here’s what they’ve said on their Facebook fan page:

New GEVEY Ultra for iPhone 4 now supports iOS 5.1 with modem firmware up to 4.12.01. Reserve yours now at the new www.applenberry.com site before our first shipment sells out!

What Basebands will the new Gevey Ultra support?

The latest Gevey Ultra will work with iOS 5.0, iOS 5.0.1 and iOS 5.1 with basebands 04.11.08 and 04.12.01. It will also support older iOS 4.x.x and basebands 1.59, 2.10, 3.10.1, 4.10.1. Also, you must jailbreak your iPhone 4 before using the new Gevey Ultra. You can use redsn0w or sn0wbreeze to jailbreak iOS 5.0.1 and iOS 5.1 (currently tethered). After jailbreak, you must install FuriousMod so that Gevey Ultra can work.

How to Buy the new Gevey Ultra to unlock 04.11.08/04.12.01?

The new Gevey Ultra is available for preorder at $49.99 on ApplenBerry.com. ApplenBerry will start shipping the orders from 27th April.

Note: You can also unlock your iPhone 4 for free without spending $19.99 or $49.99 by using SAM tweak from Cydia.

Stay tuned for more updates.

Subscribe to our mailing list

* indicates required

Warning: count(): Parameter must be an array or an object that implements Countable in /home/maheslvo/public_html/wp-content/themes/thesis_189/lib/classes/comments.php on line 43

{ 0 comments… add one now }

Leave a Comment

Previous post:

Next post: